require 'facets/core/date/days_in_month'

class Date

  def days_of_month
    (1..days_in_month).to_a
  end

end


#  _____         _
# |_   _|__  ___| |_
#   | |/ _ \/ __| __|
#   | |  __/\__ \ |_
#   |_|\___||___/\__|
#
=begin test

  require 'test/unit'

  class TCDate < Test::Unit::TestCase

    def setup
      @d = Date.civil( 2005, 04, 20 )
    end

    def test_days_of_month
      assert_equal( (1..@d.days_in_month).to_a, @d.days_of_month )
    end

  end

=end
